/*
* Copyright (c) 2008 by Windward Studios, Inc. All rights reserved.
*
* This software is the confidential and proprietary information of
* Windward Studios ("Confidential Information").  You shall not
* disclose such Confidential Information and shall use it only in
* accordance with the terms of the license agreement you entered into
* with Windward Studios, Inc.
*/

using System.Windows.Forms;

namespace Kailua.net.windward.controls
{
	/// <summary>
	/// Passed on the event when the user clicks on a chunk.
	/// </summary>
	public class LinkTreeNodeMouseClickEventArgs : TreeNodeMouseClickEventArgs
	{
		private readonly object tag;

		/// <summary>
		/// Create the object.
		/// </summary>
		/// <param name="parent">The TreeNodeMouseClickEventArgs this is built from.</param>
		/// <param name="tag">The LinkTreeNodeChunk.Tag (not the LinkTreeNode.Tag).</param>
		public LinkTreeNodeMouseClickEventArgs(TreeNodeMouseClickEventArgs parent, object tag)
			: base(parent.Node, parent.Button, parent.Clicks, parent.X, parent.Y)
		{
			this.tag = tag;
		}

		/// <summary>
		/// This is the LinkTreeNodeChunk.Tag, not the LinkTreeNode.Tag.
		/// </summary>
		public object Tag
		{
			get { return tag; }
		}
	}
}