﻿// Created by Windward Studios - no copyright is claimed. This code can be used in
// any manner by anyone for any reason. There is no copyright of any kind on it. You may
// use it in commercial products. You may change it without sharing those changes.
// We ask that you keep the "created by Windward Studios" in a comment at the top.

using System.Data.Common;
using net.windward.utils.ado.ODBC;

namespace net.windward.utils.ado.Access
{
	/// <summary>
	/// An Access database.
	/// </summary>
	public class WrAccessDatabase : WrOdbcDatabase
	{

		/// <summary>
		/// Create an Access database object.
		/// </summary>
		/// <param name="provider">The provider for this database.</param>
		/// <param name="odbcProvider">The ODBC Provider used.</param>
		/// <param name="filename">The filename of the database (.MDB file).</param>
		public WrAccessDatabase(DbProviderFactory provider, string odbcProvider, string filename)
			: base(provider, odbcProvider, filename, null)
		{
			syntax = new WrAccessSyntax(provider, odbcProvider);
		}
	}
}
