﻿// Created by Windward Studios - no copyright is claimed. This code can be used in
// any manner by anyone for any reason. There is no copyright of any kind on it. You may
// use it in commercial products. You may change it without sharing those changes.
// We ask that you keep the "created by Windward Studios" in a comment at the top.

using System.Data.Common;
using net.windward.utils.ado.ODBC;

namespace net.windward.utils.ado.Access
{
	/// <summary>
	/// Represents an Access server.
	/// </summary>
	public class WrAccessServer : WrOdbcServer
	{
		/// <summary>
		/// Create an Access server object.
		/// </summary>
		/// <param name="provider">The provider for this server.</param>
		/// <param name="odbcProvider">The provider for this connection.</param>
		/// <param name="name">The name of the server.</param>
		public WrAccessServer(DbProviderFactory provider, string odbcProvider, string name)
			: base(provider, odbcProvider, name)
		{
		}

		/// <summary>
		/// Create a database object.
		/// </summary>
		/// <param name="database">The name of the database.</param>
		public override IWrDatabase CreateDatabase(string database)
		{
			return new WrAccessDatabase(provider, odbcProvider, Name);
		}
	}
}
