﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using net.windward.utils.ado;

namespace Kailua.net.windward.utils.ado.SPList.custom
{
    /// <summary>
    /// A SharePoint List column.
    /// </summary>
    public class WrSPListColumn : WrColumn
    {
        /// <summary>
        /// The "Name" attribute of the field.
        /// </summary>
        private string fieldName;

        /// <summary>
        /// Creates a new WrSPListColumn.
        /// </summary>
        /// <param name="name"></param>
        /// <param name="fieldName"></param>
        /// <param name="dbType"></param>
        public WrSPListColumn(string name, string fieldName, DbType dbType)
            : base(name, dbType)
        {
            this.fieldName = fieldName;
        }

        /// <summary>
        /// The "Name" attribute of the field.
        /// </summary>
        public string FieldName
        {
            get
            {
                return fieldName;
            }
        }
    }
}
