﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using net.windward.utils.ado;

namespace Kailua.net.windward.utils.ado.SPList.custom
{
    /// <summary>
    /// A table corresponding to a SharePoint list.
    /// </summary>
    public class WrSPListTable : WrTable
    {
        /// <summary>
        /// The ID GUID of the list.
        /// </summary>
        private string listId;

        /// <summary>
        /// Creates a new WrSPListTable. This is exactly the same as a WrTable, but also contains
        /// the list GUID.
        /// </summary>
        /// <param name="title"></param>
        /// <param name="description"></param>
        /// <param name="id"></param>
        /// <param name="isSystem"></param>
        /// <param name="columns"></param>
        public WrSPListTable(string title, string description, string id, bool isSystem, WrColumn[] columns)
			: base(null, title, description, isSystem, columns)
        {
            listId = id;
        }

        /// <summary>
        /// The ID GUID of the list.
        /// </summary>
        public string ListID
        {
            get
            {
                return listId;
            }
        }
    }
}
