// Created by Windward Studios - no copyright is claimed. This code can be used in
// any manner by anyone for any reason. There is no copyright of any kind on it. You may
// use it in commercial products. You may change it without sharing those changes.
// We ask that you keep the "created by Windward Studios" in a comment at the top.

using System.Collections.ObjectModel;

namespace net.windward.utils.ado
{
	/// <summary>
	/// A table in a database.
	/// </summary>
	public class WrTable : WrBaseTable
	{
		/// <summary>
		/// Create a table object.
		/// </summary>
		/// <param name="schema">The schema that owns this element. null if none, empty string if default and the default has no name.</param>
		/// <param name="name">The name of the table.</param>
		/// <param name="description">The description (metadata) of the table.</param>
		/// <param name="isSystem">True if a system table.</param>
		/// <param name="columns">The columns for this table/view.</param>
		public WrTable(string schema, string name, string description, bool isSystem, WrColumn[] columns)
			: base(schema, name, description, isSystem, columns)
		{
		}
	}

	/// <summary>
	/// A collection of tables.
	/// </summary>
	public class WrTableCollection : Collection<WrTable>
	{
	}

}
